iTerrainCellRenderProperties Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iTerrainCellRenderProperties Struct Reference

This is a base class for per-cell renderer-specific properties. More...

`#include <imesh/terrain2.h>`

Inheritance diagram for iTerrainCellRenderProperties:

List of all members.

## Public Member Functions
virtual csPtr < iTerrainCellRenderProperties > | Clone ()=0
| Get a copy of the properties object.
virtual size_t | GetParameterCount ()=0
| Get number of parameters this object has set.
virtual const char * | GetParameterName (size_t index)=0
| Get name of a parameter.
virtual bool | GetVisible () const =0
| Get visibility flag (if it is not set, the cell does not get rendered)
virtual void | SetParameter (const char *param, const char *value)=0
| Set named parameter.
virtual void | SetVisible (bool value)=0
| Set visibility flag.
virtual const char * | GetParameterValue (size_t index)=0
| Get value of a parameter.
virtual const char * | GetParameterValue (const char *name)=0
| Get value of a parameter.

## Detailed Description

This is a base class for per-cell renderer-specific properties.

The classes which hold the render-related data that is specific to a given cell and renderer. Also provides a shader variable context for the cell.

Definition at line 165 of file terrain2.h.

## Member Function Documentation

virtual csPtr<iTerrainCellRenderProperties> iTerrainCellRenderProperties::Clone | ( |  | ) | `[pure virtual]`

Get a copy of the properties object.

virtual size_t iTerrainCellRenderProperties::GetParameterCount | ( |  | ) | `[pure virtual]`

Get number of parameters this object has set.

virtual const char* iTerrainCellRenderProperties::GetParameterName | ( | size_t | index | ) | `[pure virtual]`

Get name of a parameter.

virtual const char* iTerrainCellRenderProperties::GetParameterValue | ( | size_t | index | ) | `[pure virtual]`

Get value of a parameter.

virtual const char* iTerrainCellRenderProperties::GetParameterValue | ( | const char * | name | ) | `[pure virtual]`

Get value of a parameter.

virtual bool iTerrainCellRenderProperties::GetVisible | ( |  | ) | const`[pure virtual]`

Get visibility flag (if it is not set, the cell does not get rendered)

Returns:
  visibility flag

virtual void iTerrainCellRenderProperties::SetParameter | ( | const char * | param,
|  | const char * | value
| ) |  | `[pure virtual]`

Set named parameter.

Parameters:

  param | parameter name
  value | parameter value

virtual void iTerrainCellRenderProperties::SetVisible | ( | bool | value | ) | `[pure virtual]`

Set visibility flag.

Parameters:

  value | new flag value

The documentation for this struct was generated from the following file:

- imesh/terrain2.h